{#
/**
 * @file
 * Theme override to display a taxonomy term.
 *
 * Available variables:
 * - url: URL of the current term.
 * - name: (optional) Name of the current term.
 * - content: Items for the content of the term (fields and description).
 *   Use 'content' to print them all, or print a subset such as
 *   'content.description'. Use the following code to exclude the
 *   printing of a given child element:
 *   @code
 *   {{ content|without('description') }}
 *   @endcode
 * - attributes: HTML attributes for the wrapper.
 * - page: Flag for the full page state.
 * - term: The taxonomy term entity, including:
 *   - id: The ID of the taxonomy term.
 *   - bundle: Machine name of the current vocabulary.
 * - view_mode: View mode, e.g. 'full', 'teaser', etc.
 *
 * @see template_preprocess_taxonomy_term()
 */
#}
{%
  set classes = [
    'taxonomy-term',
    'vocabulary-' ~ term.bundle|clean_class,
  ]
%}
<span{{ attributes.setAttribute('id', 'taxonomy-term-' ~ term.id).addClass(classes).setAttribute('data-oi-element-style', 'underline') }}>
  {% if oi_content_placeholder %}
    {% if url %}
      <a href="{{ url }}">{{ oi_content_placeholder }}</a>
    {% else %}
      {{ oi_content_placeholder }}
    {% endif %}
  {% else %}
    {% if content|render|trim|striptags is not empty  %}
      {% set url_text = content|render %}
    {% else %}
      {% set url_text = name|render|striptags %}
    {% endif %}
    {% if url %}
      <a href="{{ url }}">{{ url_text }}</a>
    {% else %}
      {{ url_text }}
    {% endif %}
  {% endif %}
</span>
